#include "radeon_accelerant.h"

#include "../include/pll_regs.h"
#include "../common/utils.h"
#include <stdio.h>

int main()
{
	port_regs values;
	general_pll_info general_pll;

	general_pll.max_pll_freq = 35000;
	general_pll.min_pll_freq = 20000;
	general_pll.xclk = 10;
	general_pll.ref_div = 12;
	general_pll.ref_freq = 2700;
	
	Radeon_CalcPLLRegisters( &general_pll, 
		14000, &values );
		
	printf( "dot_clock_freq=%ld, pll_output_freq=%ld, ref_div=%ld, feedback_div=%d, post_div=%d",
		values.dot_clock_freq, values.pll_output_freq,
		values.ppll_ref_div, values.feedback_div, values.post_div );
		
	return 0;
}
